/*
 * Experimental Connected Vehicle API
 * An experimental Connected Vehicle API that allows to request vehicle data and to send commands to the virtual car simulator.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.client.model.DoorLockStatus;
import io.swagger.client.model.DoorOpenStatus;
import java.io.IOException;

/**
 * Doors
 */
public class Doors {
  @SerializedName("doorstatusfrontleft")
  private DoorOpenStatus doorstatusfrontleft = null;

  @SerializedName("doorstatusfrontright")
  private DoorOpenStatus doorstatusfrontright = null;

  @SerializedName("doorstatusrearleft")
  private DoorOpenStatus doorstatusrearleft = null;

  @SerializedName("doorstatusrearright")
  private DoorOpenStatus doorstatusrearright = null;

  @SerializedName("doorlockstatusfrontleft")
  private DoorLockStatus doorlockstatusfrontleft = null;

  @SerializedName("doorlockstatusfrontright")
  private DoorLockStatus doorlockstatusfrontright = null;

  @SerializedName("doorlockstatusrearleft")
  private DoorLockStatus doorlockstatusrearleft = null;

  @SerializedName("doorlockstatusrearright")
  private DoorLockStatus doorlockstatusrearright = null;

  @SerializedName("doorlockstatusdecklid")
  private DoorLockStatus doorlockstatusdecklid = null;

  @SerializedName("doorlockstatusgas")
  private DoorLockStatus doorlockstatusgas = null;

  @SerializedName("doorlockstatusvehicle")
  private DoorLockStatus doorlockstatusvehicle = null;

  public Doors doorstatusfrontleft(DoorOpenStatus doorstatusfrontleft) {
    this.doorstatusfrontleft = doorstatusfrontleft;
    return this;
  }

   /**
   * Get doorstatusfrontleft
   * @return doorstatusfrontleft
  **/
  @ApiModelProperty(value = "")
  public DoorOpenStatus getDoorstatusfrontleft() {
    return doorstatusfrontleft;
  }

  public void setDoorstatusfrontleft(DoorOpenStatus doorstatusfrontleft) {
    this.doorstatusfrontleft = doorstatusfrontleft;
  }

  public Doors doorstatusfrontright(DoorOpenStatus doorstatusfrontright) {
    this.doorstatusfrontright = doorstatusfrontright;
    return this;
  }

   /**
   * Get doorstatusfrontright
   * @return doorstatusfrontright
  **/
  @ApiModelProperty(value = "")
  public DoorOpenStatus getDoorstatusfrontright() {
    return doorstatusfrontright;
  }

  public void setDoorstatusfrontright(DoorOpenStatus doorstatusfrontright) {
    this.doorstatusfrontright = doorstatusfrontright;
  }

  public Doors doorstatusrearleft(DoorOpenStatus doorstatusrearleft) {
    this.doorstatusrearleft = doorstatusrearleft;
    return this;
  }

   /**
   * Get doorstatusrearleft
   * @return doorstatusrearleft
  **/
  @ApiModelProperty(value = "")
  public DoorOpenStatus getDoorstatusrearleft() {
    return doorstatusrearleft;
  }

  public void setDoorstatusrearleft(DoorOpenStatus doorstatusrearleft) {
    this.doorstatusrearleft = doorstatusrearleft;
  }

  public Doors doorstatusrearright(DoorOpenStatus doorstatusrearright) {
    this.doorstatusrearright = doorstatusrearright;
    return this;
  }

   /**
   * Get doorstatusrearright
   * @return doorstatusrearright
  **/
  @ApiModelProperty(value = "")
  public DoorOpenStatus getDoorstatusrearright() {
    return doorstatusrearright;
  }

  public void setDoorstatusrearright(DoorOpenStatus doorstatusrearright) {
    this.doorstatusrearright = doorstatusrearright;
  }

  public Doors doorlockstatusfrontleft(DoorLockStatus doorlockstatusfrontleft) {
    this.doorlockstatusfrontleft = doorlockstatusfrontleft;
    return this;
  }

   /**
   * Get doorlockstatusfrontleft
   * @return doorlockstatusfrontleft
  **/
  @ApiModelProperty(value = "")
  public DoorLockStatus getDoorlockstatusfrontleft() {
    return doorlockstatusfrontleft;
  }

  public void setDoorlockstatusfrontleft(DoorLockStatus doorlockstatusfrontleft) {
    this.doorlockstatusfrontleft = doorlockstatusfrontleft;
  }

  public Doors doorlockstatusfrontright(DoorLockStatus doorlockstatusfrontright) {
    this.doorlockstatusfrontright = doorlockstatusfrontright;
    return this;
  }

   /**
   * Get doorlockstatusfrontright
   * @return doorlockstatusfrontright
  **/
  @ApiModelProperty(value = "")
  public DoorLockStatus getDoorlockstatusfrontright() {
    return doorlockstatusfrontright;
  }

  public void setDoorlockstatusfrontright(DoorLockStatus doorlockstatusfrontright) {
    this.doorlockstatusfrontright = doorlockstatusfrontright;
  }

  public Doors doorlockstatusrearleft(DoorLockStatus doorlockstatusrearleft) {
    this.doorlockstatusrearleft = doorlockstatusrearleft;
    return this;
  }

   /**
   * Get doorlockstatusrearleft
   * @return doorlockstatusrearleft
  **/
  @ApiModelProperty(value = "")
  public DoorLockStatus getDoorlockstatusrearleft() {
    return doorlockstatusrearleft;
  }

  public void setDoorlockstatusrearleft(DoorLockStatus doorlockstatusrearleft) {
    this.doorlockstatusrearleft = doorlockstatusrearleft;
  }

  public Doors doorlockstatusrearright(DoorLockStatus doorlockstatusrearright) {
    this.doorlockstatusrearright = doorlockstatusrearright;
    return this;
  }

   /**
   * Get doorlockstatusrearright
   * @return doorlockstatusrearright
  **/
  @ApiModelProperty(value = "")
  public DoorLockStatus getDoorlockstatusrearright() {
    return doorlockstatusrearright;
  }

  public void setDoorlockstatusrearright(DoorLockStatus doorlockstatusrearright) {
    this.doorlockstatusrearright = doorlockstatusrearright;
  }

  public Doors doorlockstatusdecklid(DoorLockStatus doorlockstatusdecklid) {
    this.doorlockstatusdecklid = doorlockstatusdecklid;
    return this;
  }

   /**
   * Get doorlockstatusdecklid
   * @return doorlockstatusdecklid
  **/
  @ApiModelProperty(value = "")
  public DoorLockStatus getDoorlockstatusdecklid() {
    return doorlockstatusdecklid;
  }

  public void setDoorlockstatusdecklid(DoorLockStatus doorlockstatusdecklid) {
    this.doorlockstatusdecklid = doorlockstatusdecklid;
  }

  public Doors doorlockstatusgas(DoorLockStatus doorlockstatusgas) {
    this.doorlockstatusgas = doorlockstatusgas;
    return this;
  }

   /**
   * Get doorlockstatusgas
   * @return doorlockstatusgas
  **/
  @ApiModelProperty(value = "")
  public DoorLockStatus getDoorlockstatusgas() {
    return doorlockstatusgas;
  }

  public void setDoorlockstatusgas(DoorLockStatus doorlockstatusgas) {
    this.doorlockstatusgas = doorlockstatusgas;
  }

  public Doors doorlockstatusvehicle(DoorLockStatus doorlockstatusvehicle) {
    this.doorlockstatusvehicle = doorlockstatusvehicle;
    return this;
  }

   /**
   * Get doorlockstatusvehicle
   * @return doorlockstatusvehicle
  **/
  @ApiModelProperty(value = "")
  public DoorLockStatus getDoorlockstatusvehicle() {
    return doorlockstatusvehicle;
  }

  public void setDoorlockstatusvehicle(DoorLockStatus doorlockstatusvehicle) {
    this.doorlockstatusvehicle = doorlockstatusvehicle;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Doors doors = (Doors) o;
    return Objects.equals(this.doorstatusfrontleft, doors.doorstatusfrontleft) &&
        Objects.equals(this.doorstatusfrontright, doors.doorstatusfrontright) &&
        Objects.equals(this.doorstatusrearleft, doors.doorstatusrearleft) &&
        Objects.equals(this.doorstatusrearright, doors.doorstatusrearright) &&
        Objects.equals(this.doorlockstatusfrontleft, doors.doorlockstatusfrontleft) &&
        Objects.equals(this.doorlockstatusfrontright, doors.doorlockstatusfrontright) &&
        Objects.equals(this.doorlockstatusrearleft, doors.doorlockstatusrearleft) &&
        Objects.equals(this.doorlockstatusrearright, doors.doorlockstatusrearright) &&
        Objects.equals(this.doorlockstatusdecklid, doors.doorlockstatusdecklid) &&
        Objects.equals(this.doorlockstatusgas, doors.doorlockstatusgas) &&
        Objects.equals(this.doorlockstatusvehicle, doors.doorlockstatusvehicle);
  }

  @Override
  public int hashCode() {
    return Objects.hash(doorstatusfrontleft, doorstatusfrontright, doorstatusrearleft, doorstatusrearright, doorlockstatusfrontleft, doorlockstatusfrontright, doorlockstatusrearleft, doorlockstatusrearright, doorlockstatusdecklid, doorlockstatusgas, doorlockstatusvehicle);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Doors {\n");
    
    sb.append("    doorstatusfrontleft: ").append(toIndentedString(doorstatusfrontleft)).append("\n");
    sb.append("    doorstatusfrontright: ").append(toIndentedString(doorstatusfrontright)).append("\n");
    sb.append("    doorstatusrearleft: ").append(toIndentedString(doorstatusrearleft)).append("\n");
    sb.append("    doorstatusrearright: ").append(toIndentedString(doorstatusrearright)).append("\n");
    sb.append("    doorlockstatusfrontleft: ").append(toIndentedString(doorlockstatusfrontleft)).append("\n");
    sb.append("    doorlockstatusfrontright: ").append(toIndentedString(doorlockstatusfrontright)).append("\n");
    sb.append("    doorlockstatusrearleft: ").append(toIndentedString(doorlockstatusrearleft)).append("\n");
    sb.append("    doorlockstatusrearright: ").append(toIndentedString(doorlockstatusrearright)).append("\n");
    sb.append("    doorlockstatusdecklid: ").append(toIndentedString(doorlockstatusdecklid)).append("\n");
    sb.append("    doorlockstatusgas: ").append(toIndentedString(doorlockstatusgas)).append("\n");
    sb.append("    doorlockstatusvehicle: ").append(toIndentedString(doorlockstatusvehicle)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

